chrPlot2 {fcros} | R Documentation

## Plot a chromosome segmentation results

### Description

This function generates a picture. It uses a chromosome data and the output results of the segmentation function chrSegment().

### Usage

    chrPlot2(chrData, chrSeg, deb = 100, fin = 1e10)

### Arguments

`chrData` | A chromosome data obtained from an output of the function dataSummary(): `xinfo2` = dataSummary(af, xinfo, chromosomes, alpha) `idx` = which(xinfo2$xinfo.s$Chromosome == "chr1") `chrData` = xinfo2$xinfo.s[idx, ]
`chrSeg` | An output object of the function chrSegment(): `chrSeg` = chrSegment(chrData, nd = 10)
`deb` | This parameter allows to specify the start position of the chromosome region for plotting. It can be used for zooming. Negative value will lead to the plot of all chromosome data. `deb` = 100
`fin` | This parameter allows to specify the end position of the chromosome region for plot. It can be used for zooming. Negative value will lead to the plot of all chromosome data. `thr` = 1e7

### Value

This function generates a picture on the screen

### Author(s)

Doulaye Dembele doulaye@igbmc.fr

### References

Dembele D, Analysis of high biological data using their rank values, Stat Methods Med Res, accepted for publication, 2018

### Examples

        # load CGH data and info files
        data(cghData)
        rownames(cghData) <- cghData[,1];
        data(cghInfo)
        noms <- colnames(cghData)
        m <- length(noms)
        samp  <- noms[2:m]

        # associate statistics with probes in the dataset
        af <- pfcoMod(cghData, samp, log2.opt = 0, trim.opt = 0.25)

        chromosomes <- c(7:9)
        alpha <- 0.05

        # summarize results for each chromosome
        xinfo2 <- dataSummary(af, cghInfo, chromosomes, alpha)

        # focused on chromosome 7 data
        idx <- which(xinfo2$xinfo.s$Chromosome == "7")
        chrData <- xinfo2$xinfo.s[idx, ]

        # segment chromosome 7 data
        chrSeg <- chrSegment(chrData, nd = 15)

        # plot chromosome 7 results
        op <- par(mfrow = c(2,1))
        chrPlot(chrData, thr = alpha, deb =-1, fin = 3.5e7)
        chrPlot2(chrData, chrSeg, -1, fin = 3.5e7)
        par(op)

[Package fcros version 1.6.1 Index]